<?php
/*
Plugin Name: Local Search SEO Contact Page
Plugin URI: http://www.expertbusinesssearch.com/wordpress/free-seo-wordpress-plugins-expert-business-search/local-search-seo-contact-page-plugin-for-wordpress/
Description: The Local Search SEO Contact Page gives you a simple way of not just adding your business address and information but also adds a QR code, 
hCard/vCard and Schema.org, Google map, geo-tag, social media buttons, and more. Just edit the settings and then place the shortcode on your contact page. 
Author: Expert Business Search, LLC
Version: 2.0.0
Author URI: http://www.expertbusinesssearch.com/
*/
function ebs_seo_cp_admin() {
	include('seo-contact-page-settings.php');
}
//Add admin page
function ebs_seo_cp_actions() {
	add_options_page( 'SEO Contact Page', 'SEO Contact Page', 1, 'seo-contact-page-settings.php', 'ebs_seo_cp_admin' );
}
//Add admin page action
add_action('admin_menu', 'ebs_seo_cp_actions');

//Shortcodes for all or specific parts
add_shortcode('ebs_seo_cp_full', 'ebs_seo_cp_full');
add_shortcode('ebs_seo_cp_contact_only', 'ebs_seo_cp_contact_only');
add_shortcode('ebs_seo_cp_payment_forms_only', 'ebs_seo_cp_payment_forms_only');
add_shortcode('ebs_seo_cp_qr_code_only', 'ebs_seo_cp_qr_code_only');
add_shortcode('ebs_seo_cp_map_only', 'ebs_seo_cp_map_only');
add_shortcode('ebs_seo_cp_hours_only', 'ebs_seo_cp_hours_only');
add_shortcode('ebs_seo_cp_social_media_only', 'ebs_seo_cp_social_media_only');

//deprecated shortcodes for backwards compatibility
add_shortcode('seo_contact_page_full', 'ebs_seo_cp_full');
add_shortcode('seo_contact_page_contact_only', 'ebs_seo_cp_contact_only');
add_shortcode('seo_contact_page_payment_forms_only', 'ebs_seo_cp_payment_forms_only');
add_shortcode('seo_contact_page_qr_code_only', 'ebs_seo_cp_qr_code_only');
add_shortcode('seo_contact_page_map_only', 'ebs_seo_cp_map_only');
add_shortcode('seo_contact_page_hours_only', 'ebs_seo_cp_hours_only');
add_shortcode('seo_contact_page_social_media_only', 'ebs_seo_cp_social_media_only');



function ebs_seo_cp_full($atts, $content = null, $tag) {
	extract( shortcode_atts( array(
		  'location' => '0',
		  ), $atts ) );
	
	$ebs_seo_cp_content = ebs_seo_cp_header($atts, $content, $tag, false);
	$ebs_seo_cp_content .= "\t<div style=\"width:100%;\">\n";
	$ebs_seo_cp_content .= "\t\t<div style=\"width:50%; position:relative; float:left;\">\n";
	if (get_option('ebs_seo_cp_logo_full_view') == true) {
		$ebs_seo_cp_content .= ebs_seo_cp_logo_img_only($atts, $content, $tag, false);
	}
	$ebs_seo_cp_content .= "\t\t</div>\n";
	$ebs_seo_cp_content .= "\t\t<div style=\"width:50%; position:relative; float:right; text-align:center;\">\n";
	if (get_option('ebs_seo_cp_location_full_view') == true) {
		$ebs_seo_cp_content .= ebs_seo_cp_location_img_only($atts, $content, $tag, false);
	}
	$ebs_seo_cp_content .= "\t\t</div>\n";
	$ebs_seo_cp_content .= "\t</div>\n";
	$ebs_seo_cp_content .= "\t<div style=\"clear: both;\">&nbsp;</div>\n";
	$ebs_seo_cp_content .= "\t<div style=\"width:100%;\">\n";
	$ebs_seo_cp_content .= "\t\t<div style=\"width:50%; position:relative; float:left;\">\n";
	$ebs_seo_cp_content .= ebs_seo_cp_contact_only($atts, $content, $tag, false);
	$ebs_seo_cp_content .= "\t\t<br />\n";	
	$ebs_seo_cp_content .= ebs_seo_cp_hours_only($atts, $content, $tag, false);
	$ebs_seo_cp_content .= "\t\t<br />\n";	
	if (get_option('ebs_seo_cp_payment_full_view') == true) {
		$ebs_seo_cp_content .= ebs_seo_cp_payment_forms_only($atts, $content, $tag, false);
	}
	$ebs_seo_cp_content .= "\t\t</div>\n";
	$ebs_seo_cp_content .= "\t\t<div style=\"width:50%; position:relative; float:right; text-align:center;\">\n";
	if (get_option('ebs_seo_cp_social_media_full_view') == true) {
		$ebs_seo_cp_content .= ebs_seo_cp_social_media_only($atts, $content, $tag, false);
	}
	if (get_option('ebs_seo_cp_qr_full_view') == true) {
		$ebs_seo_cp_content .= ebs_seo_cp_qr_code_only($atts, $content, $tag, false);
	}
	$ebs_seo_cp_content .= "\n<br /><br />";
	$ebs_seo_cp_content .= "\t\t</div>\n";
	$ebs_seo_cp_content .= "\t</div>\n";
	$ebs_seo_cp_content .= "\t<div style=\"clear: both; padding-top:1em;\">\n\t\t";
	if (get_option('ebs_seo_cp_map_full_view') == true) {
		$ebs_seo_cp_content .= ebs_seo_cp_map_only($atts, $content, $tag, false);
	}
	$ebs_seo_cp_content .= "\t</div>\n";
	$ebs_seo_cp_content .= ebs_seo_cp_footer($atts, $content, $tag, false);
	echo $ebs_seo_cp_content;
}

function ebs_seo_cp_header() {
	return "\n<div itemscope itemtype=\"http://schema.org/LocalBusiness\" class=\"vCard\">\n";
}
function ebs_seo_cp_footer() {
	return "</div>\n";
}

function ebs_seo_cp_location_img_only($atts, $content = null, $tag, $wrap = true) {
	if (get_option('ebs_seo_cp_location_img')) { 
		extract( shortcode_atts( array(
			  'location' => '0',
			  ), $atts ) );
		$location_blob = "";
		if ($wrap == true) {
			$location_blob .= ebs_seo_cp_header();
		} 
		$location_blob = "\n\t\t<div itemscope itemtype=\"http://schema.org/ImageObject\" itemprop=\"photo\">\n\t\t\t<meta itemprop=\"name\" content=\"" . get_option('ebs_seo_cp_name') . "\" />\n\t\t\t<img class=\"photo\" itemprop=\"image\" width=\"150\" src=\"" . get_option('siteurl') .  "/wp-content/uploads/" . get_option('ebs_seo_cp_location_img') . "\" title=\"" . get_option('ebs_seo_cp_name') . "\"/>\n\t\t</div>\n";
		if ($wrap == true) {
			$location_blob .= ebs_seo_cp_footer();
		} 	
		return $location_blob; 
	}
}

function ebs_seo_cp_logo_img_only($atts, $content = null, $tag, $wrap = true) {
	if (get_option('ebs_seo_cp_logo_img')) { 
		extract( shortcode_atts( array(
			  'location' => '0',
			  ), $atts ) );
		$logo_blob = "";
		if ($wrap == true) {
			$logo_blob .= ebs_seo_cp_header();
		} 
		$logo_blob = "\n\t\t<div itemscope itemtype=\"http://schema.org/ImageObject\" itemprop=\"logo\">\n\t\t\t<meta itemprop=\"name\" content=\"" . get_option('ebs_seo_cp_name') . "\" />\n\t\t\t<img class=\"logo\" itemprop=\"image\" width=\"150\" src=\"" . get_option('siteurl') .  "/wp-content/uploads/" . get_option('ebs_seo_cp_logo_img') . "\" title=\"" . get_option('ebs_seo_cp_name') . "\"/>\n\t\t</div>\n";
		if ($wrap == true) {
			$logo_blob .= ebs_seo_cp_footer();
		} 
		return $logo_blob; 
	}
}

function ebs_seo_cp_contact_only($atts, $content = null, $tag, $wrap = true) {
			if (get_option('seo_company_name')) {
				echo "Updating " . get_option('seo_company_name') . "....<br />";
				ebs_seo_cp_update_options();
			}
	extract( shortcode_atts( array(
		  'location' => '0',
		  ), $atts ) );
	$contact_blob = "";
	if ($wrap == true) {
		$contact_blob .= ebs_seo_cp_header();
	} 
	$contact_blob .= "\n\t\t<span class=\"updated\" style=\"display:none;\">" . get_option('ebs_seo_cp_updated') . "</span>";
	$contact_blob .= "\n\t\t<meta itemprop=\"map\" content=\"" . ebs_seo_cp_get_map_url() . "\" />";
	
	if (get_option('ebs_seo_cp_url')) { 
		$contact_blob .= "<a class=\"fn org\" itemprop=\"name\" href=\"" . get_option('ebs_seo_cp_url') . "\"><span style=\"font-weight:bold;\">" . get_option('ebs_seo_cp_name') . "</span></a>";
	} else {
		$contact_blob .= "<span style=\"font-weight:bold;\">" . get_option('ebs_seo_cp_name') . "</span>";
	}
	$contact_blob .= "\n\t\t<div itemscope itemtype=\"http://schema.org/PostalAddress\" itemprop=\"address\" class=\"adr\">";
	if (get_option('ebs_seo_cp_address')) {
		$contact_blob .= "\n\t\t<span class=\"street-address\" itemprop=\"streetAddress\">" . get_option('ebs_seo_cp_address') . "</span><br />";
		$contact_blob .= "\n\t\t<span class=\"locality\" itemprop=\"addressLocality\">" . get_option('ebs_seo_cp_city') . "</span>, ";
		$contact_blob .= "\n\t\t<span class=\"region\" itemprop=\"addressRegion\">" . get_option('ebs_seo_cp_state') . "</span>";
		$contact_blob .= "\n\t\t<span class=\"postal-code\" itemprop=\"postalcode\">" . get_option('ebs_seo_cp_zip') . "</span><br />";
		$contact_blob .= "\n\t\t<span itemprop=\"addressCountry\">" . get_option('ebs_seo_cp_country') . "</span> ";
		$contact_blob .= "\n\t</div><br />";
	}
	if (get_option('ebs_seo_cp_phone_1')) { $contact_blob .= "\n\t\t<div class=\"tel\">\n\t\t\t<meta class=\"type\" content=\"Work\" /><span style=\"font-weight:bold;\">" . __('Telephone: ', 'ebs-seo-cp-loc') . "</span> <meta itemprop=\"telephone\" content=\"+" . get_option('ebs_seo_cp_phone_0') . get_option('ebs_seo_cp_phone_1') . get_option('ebs_seo_cp_phone_2') . get_option('ebs_seo_cp_phone_3') . "\" /><abbr class=\"value\" title=\"+1" . get_option('ebs_seo_cp_phone_1') . get_option('ebs_seo_cp_phone_2') . get_option('ebs_seo_cp_phone_3') . "\">1 (" . get_option('ebs_seo_cp_phone_1') . ") " . get_option('ebs_seo_cp_phone_2') . "-" . get_option('ebs_seo_cp_phone_3') . "</abbr>\n\t\t</div>"; }
	if (get_option('ebs_seo_cp_alt_phone_1')) { $contact_blob .= "\n\t\t<div class=\"tel\">\n\t\t\t<meta class=\"type\" content=\"Work\" /><span style=\"font-weight:bold;\">" . __('Telephone: ', 'ebs-seo-cp-loc') . "</span> <meta itemprop=\"telephone\" content=\"+" . get_option('ebs_seo_cp_alt_phone_0') . get_option('ebs_seo_cp_alt_phone_1') . get_option('ebs_seo_cp_alt_phone_2') . get_option('ebs_seo_cp_alt_phone_3') . "\" /><abbr class=\"value\" title=\"+1" . get_option('ebs_seo_cp_alt_phone_1') . get_option('ebs_seo_cp_alt_phone_2') . get_option('ebs_seo_cp_alt_phone_3') . "\">1 (" . get_option('ebs_seo_cp_alt_phone_1') . ") " . get_option('ebs_seo_cp_alt_phone_2') . "-" . get_option('ebs_seo_cp_alt_phone_3') . "</abbr>\n\t\t</div>"; }
	if (get_option('ebs_seo_cp_fax_1')) { $contact_blob .= "\n\t\t<div class=\"tel\">\n\t\t\t<meta class=\"type\" content=\"Fax\" /><span style=\"font-weight:bold;\">" . __('Fax: ', 'ebs-seo-cp-loc') . "</span><meta itemprop=\"faxnumber\" content=\"+" . get_option('ebs_seo_cp_fax_0') . get_option('ebs_seo_cp_fax_1') . get_option('ebs_seo_cp_fax_2') . get_option('ebs_seo_cp_fax_3') . "\" /><abbr class=\"value\" title=\"+1" . get_option('ebs_seo_cp_fax_1') . get_option('ebs_seo_cp_fax_2') . get_option('ebs_seo_cp_fax_3') . "\">1 (" . get_option('ebs_seo_cp_fax_1') . ") " . get_option('ebs_seo_cp_fax_2') . "-" . get_option('ebs_seo_cp_fax_3') . "</abbr>\n\t\t</div>"; }
	if (get_option('ebs_seo_cp_email')) { $contact_blob .= "\n\t\t<span style=\"font-weight:bold;\">" . __('Email: ', 'ebs-seo-cp-loc') . "</span> <span class=\"email\" itemprop=\"email\">" . get_option('ebs_seo_cp_email') . "</span><br />\n";}
	if (get_option('ebs_seo_cp_latitude') && get_option('ebs_seo_cp_longitude')) { $contact_blob .= "\n\t\t<div itemscope itemtype=\"http://schema.org/GeoCoordinates\" itemprop=\"geo\">\n\t\t\t<meta itemprop=\"latitude\" content=\"" . get_option('ebs_seo_cp_latitude') . "\" />\n\t\t\t<meta itemprop=\"longitude\" content=\"" . get_option('ebs_seo_cp_longitude') . "\" />\n\t\t</div>\n"; }
	
	if ($wrap == true) {
		$contact_blob .= ebs_seo_cp_footer();
	} 
	return $contact_blob;
}

function ebs_seo_cp_get_map_url() {
	if (get_option('ebs_seo_cp_map_name') != "") {
		$map_url = "http://maps.google." . get_option('ebs_seo_cp_map_tld') . "/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=" . get_option('ebs_seo_cp_map_name') . ",+" . get_option('ebs_seo_cp_address') . ",+" . get_option('ebs_seo_cp_city') . ",+" . get_option('ebs_seo_cp_state') . "+" . get_option('ebs_seo_cp_zip') . "&amp;aq=&amp;ie=UTF8&amp;hq=" . get_option('ebs_seo_cp_map_name') . "&amp;hnear=" . get_option('ebs_seo_cp_address') . ",+" . get_option('ebs_seo_cp_city') . ",+" . get_option('ebs_seo_cp_state') . "+" . get_option('ebs_seo_cp_zip') . "&amp;output=embed";
	} else {
		$map_url = "http://maps.google." . get_option('ebs_seo_cp_map_tld') . "/maps?f=q&amp;source=s_q&amp;hl=en&amp;geocode=&amp;q=" . get_option('ebs_seo_cp_address') . ",+" . get_option('ebs_seo_cp_city') . ",+" . get_option('ebs_seo_cp_state') . "+" . get_option('ebs_seo_cp_zip') . "&amp;aq=&amp;ie=UTF8&amp;hq=" . "&amp;hnear=" . get_option('ebs_seo_cp_address') . ",+" . get_option('ebs_seo_cp_city') . ",+" . get_option('ebs_seo_cp_state') . "+" . get_option('ebs_seo_cp_zip') . "&amp;output=embed";
	}
	return $map_url;
}

function ebs_seo_cp_map_only($atts, $content = null, $tag, $wrap = true) {
	extract( shortcode_atts( array(
		  'location' => '0',
		  'width' => get_option('ebs_seo_cp_map_width'),
		  'height' => get_option('ebs_seo_cp_map_height')
		  ), $atts ) );
	$map_blob = "";
//	if ($wrap == true) {
//		$map_blob .= ebs_seo_cp_header();
//	} 		
		
	$map_blob .= "<iframe width='" . $width . "' height='" . $height . "' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='" . ebs_seo_cp_get_map_url() . "'></iframe>";
//	if ($wrap == true) {
//		$map_blob .= ebs_seo_cp_footer();
//	} 
	return $map_blob;
}

function ebs_seo_cp_hours_only($atts, $content = null, $tag, $wrap = true) {
	extract( shortcode_atts( array(
		  'location' => '0',
		  ), $atts ) );
	$ebs_seo_cp_hours = array(
						"Sunday" => array(
									"closed" => get_option('ebs_seo_cp_sunday'),
									"shortname" => "Su",
									"open" =>  get_option('ebs_seo_cp_open_sunday'),
									"close" => get_option('ebs_seo_cp_close_sunday')
									),
						"Monday" => array( 
									"closed" => get_option('ebs_seo_cp_monday'),
									"shortname" => "Mo",
									"open" => get_option('ebs_seo_cp_open_monday'),
									"close" =>  get_option('ebs_seo_cp_close_monday')
									),
						"Tuesday" => array( 
									"closed" => get_option('ebs_seo_cp_tuesday'),
									"shortname" => "Tu",
									"open" =>  get_option('ebs_seo_cp_open_tuesday'),
									"close" =>  get_option('ebs_seo_cp_close_tuesday')
									),
						"Wednesday" => array( 
									"closed" => get_option('ebs_seo_cp_wednesday'),
									"shortname" => "We",
									"open" =>  get_option('ebs_seo_cp_open_wednesday'),
									"close" =>  get_option('ebs_seo_cp_close_wednesday')
									),
						"Thursday" => array( 
									"closed" => get_option('ebs_seo_cp_thursday'),
									"shortname" => "Th",
									"open" =>  get_option('ebs_seo_cp_open_thursday'),
									"close" =>  get_option('ebs_seo_cp_close_thursday')
									),
						"Friday" => array( 
									"closed" => get_option('ebs_seo_cp_friday'),
									"shortname" => "Fr",
									"open" =>  get_option('ebs_seo_cp_open_friday'),
									"close" =>  get_option('ebs_seo_cp_close_friday')
									),
						"Saturday" => array(
									"closed" => get_option('ebs_seo_cp_saturday'), 
									"shortname" => "Sa",
									"open" =>  get_option('ebs_seo_cp_open_saturday'),
									"close" =>  get_option('ebs_seo_cp_close_saturday')
									)
						);
	$hours_blob = "";					
	if ($wrap == true) {
		$hours_blob .= ebs_seo_cp_header();
	} 
	$hours_blob .= "\t\t<span style=\"font-weight:bold;\">" . __('Business Hours: ', 'ebs-seo-cp-loc') . "</span>" . ": <br />";
	
	while (list($key, $day) = each($ebs_seo_cp_hours)) {
		if  (!$day['closed'] == true) {
			$shorthours = "00:00-00:00";
			$longhours = __('Closed', 'ebs-seo-cp-loc');			
			$open = "00:00";
			$close = "00:00";
		} else {
			$shorthours = $day['open'] . "-" . $day['close'];
			$longhours = DATE("g:i a", STRTOTIME($day['open'])) . " - " . DATE("g:i a", STRTOTIME($day['close']));
			$open = $day['open'];
			$close = $day['close'];
		}
		$dayname = $key;
		$shortname = $day['shortname'];
		$hours_blob .= "\n\t\t " . $dayname . " : <time itemprop=\"openinghours\" datetime=\"" . $shortname . " " . $shorthours . "\">" . $longhours . "</time>
		<div itemprop=\"openingHoursSpecification\" itemscope itemtype=\"http://schema.org/OpeningHoursSpecification\">
			<link itemprop=\"dayOfWeek\" href=\"http://purl.org/goodrelations/v1#" . $dayname . "\" />
			<meta itemprop=\"opens\" content=\"" . $open . "\">
			<meta itemprop=\"closes\" content=\"" . $close . "\" />
		</div>\n";
	}
	if ($wrap == true) {
		$hours_blob .= ebs_seo_cp_footer();
	} 
	return $hours_blob;
}
//Display just the payment form
function ebs_seo_cp_payment_forms_only($atts, $content = null, $tag, $wrap = true) {
	extract( shortcode_atts( array(
		  'location' => '0',
		  ), $atts ) );
	$payments_blob = "";
	if ($wrap == true) {
		$payments_blob .= ebs_seo_cp_header();
	} 
	//$payments_blob .= "Payment information: <br />\n";
	
	if (get_option('ebs_seo_cp_payment')) { $payments_blob .=  "<span style=\"font-weight:bold;\">" . __('Payments accepted: ', 'ebs-seo-cp-loc') . "</span><br /><span itemprop=\"paymentaccepted\">" . get_option('ebs_seo_cp_payment') . "</span>\n<br />"; }
	if (get_option('ebs_seo_cp_currencies')) { $payments_blob .= "<span style=\"font-weight:bold;\">" . __('Currencies accepted: ', 'ebs-seo-cp-loc') . "</span>" . ": <br /> <span itemprop=\"currenciesaccepted\">" . get_option('ebs_seo_cp_currencies') . "</span>\n<br />"; }
	if (get_option('ebs_seo_cp_pricerange')) { $payments_blob .= "<meta itemprop=\"pricerange\" content=\"" . get_option('ebs_seo_cp_pricerange') . "\" />\n"; }
	if ($wrap == true) {
		$payments_blob .= ebs_seo_cp_footer();
	} 
	return $payments_blob;
}


function ebs_seo_cp_qr_code_only($atts, $content = null, $tag, $wrap = true) {
	extract( shortcode_atts( array(
		  'location' => '0',
		  ), $atts ) );
	$qr_blob = "";
	if ($wrap == true) {
		$qr_blob .= ebs_seo_cp_header();
	} 
	if (get_option('ebs_seo_cp_qr') != "") {
		$qr_blob .= "<iframe width='150' height='150' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='http://chart.apis.google.com/chart?cht=qr&amp;chs=150x150&amp;chl=" . get_option('ebs_seo_cp_qr') . "'></iframe>\n";
	} else {
		if(get_option('ebs_seo_cp_map_name') != "") {
			$qr_blob .= "<iframe width='150' height='150' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='http://chart.apis.google.com/chart?cht=qr&amp;chs=150x150&amp;chl=http://mapof.it/" . get_option('ebs_seo_cp_map_name') . ", " . get_option('ebs_seo_cp_address') . ", " . get_option('ebs_seo_cp_city') . ", " . get_option('ebs_seo_cp_state') . " " . get_option('ebs_seo_cp_zip') . "'></iframe>\n<p>Scan with your smartphone <br>to get directions.</p>\n";
		} else {
			$qr_blob .= "<iframe width='150' height='150' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='http://chart.apis.google.com/chart?cht=qr&amp;chs=150x150&amp;chl=http://mapof.it/" . get_option('ebs_seo_cp_address') . ", " . get_option('ebs_seo_cp_city') . ", " . get_option('ebs_seo_cp_state') . " " . get_option('ebs_seo_cp_zip') . "'></iframe>\n<p>Scan with your smartphone <br>to get directions.</p>\n";
		}
	}
	if ($wrap == true) {
		$qr_blob .= ebs_seo_cp_footer();
	} 
	return $qr_blob;
}

function ebs_seo_cp_social_media_only($atts, $content = null, $tag, $wrap = true) {
	 extract( shortcode_atts( array(
		  'location' => '0',
		  ), $atts ) );
	if (get_option('ebs_seo_cp_facebook') != "") 
		$social_media_facebook = "<a target='_blank' href='" . get_option('ebs_seo_cp_facebook') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Facebook.png'></a>\n";	
	if (get_option('ebs_seo_cp_twitter') != "") 
		$social_media_twitter = "<a target='_blank' href='" . get_option('ebs_seo_cp_twitter') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Twitter.png'></a>\n";
	if (get_option('ebs_seo_cp_youtube') != "") 
		$social_media_youtube = "<a target='_blank' href='" . get_option('ebs_seo_cp_youtube') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Youtube.png'></a>\n";
	if (get_option('ebs_seo_cp_linkedin') != "") 
		$social_media_linkedin = "<a target='_blank' href='" . get_option('ebs_seo_cp_linkedin') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Linked In.png'></a>\n";	
	if (get_option('ebs_seo_cp_pinterest') != "") 
		$social_media_pinterest = "<a target='_blank' href='" . get_option('ebs_seo_cp_pinterest') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Pinterest.png'></a>\n";
	if (get_option('ebs_seo_cp_googleplaces') != "") 
		$social_media_googleplaces = "<a target='_blank' href='" . get_option('ebs_seo_cp_googleplaces') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Google Places Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_googleplus') != "") 
		$social_media_googleplus = "<a target='_blank' href='" . get_option('ebs_seo_cp_googleplus') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Google Plus Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_yelp') != "") 
		$social_media_yelp = "<a target='_blank' href='" . get_option('ebs_seo_cp_yelp') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Yelp Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_merchantcircle') != "") 
		$social_media_merchantcircle = "<a target='_blank' href='" . get_option('ebs_seo_cp_merchantcircle') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Merchant Circle Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_hotfrog') != "") 
		$social_media_hotfrog = "<a target='_blank' href='" . get_option('ebs_seo_cp_hotfrog') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Hot Frog Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_foursquare') != "") 
		$social_media_foursquare = "<a target='_blank' href='" . get_option('ebs_seo_cp_foursquare') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Foursquare Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_flickr') != "") 
		$social_media_flickr = "<a target='_blank' href='" . get_option('ebs_seo_cp_flickr') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Flickr Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_digg') != "") 
		$social_media_digg = "<a target='_blank' href='" . get_option('ebs_seo_cp_digg') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Digg Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_tumblr') != "") 
		$social_media_tumblr = "<a target='_blank' href='" . get_option('ebs_seo_cp_tumblr') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Tumblr Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_stumbleupon') != "") 
		$social_media_stumbleupon = "<a target='_blank' href='" . get_option('ebs_seo_cp_stumbleupon') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Stumble Upon Logo.png'></a>\n";
	if (get_option('ebs_seo_cp_delicious') != "") 
		$social_media_delicious = "<a target='_blank' href='" . get_option('ebs_seo_cp_delicious') . "'><img src='" . get_option('siteurl') .  "/wp-content/plugins/local-search-seo-contact-page/images/SEO Contact Page Expert Business Now Del.icio.us Logo.png'></a>\n";	
	
	if ($wrap == true) {
		$qr_blob .= ebs_seo_cp_header();
	} 
	$social_media_blob = "<center>" . $social_media_facebook . $social_media_twitter . $social_media_youtube . $social_media_linkedin . $social_media_googleplaces . $social_media_googleplus . $social_media_yelp . $social_media_pinterest . $social_media_hotfrog . $social_media_foursquare . $social_media_flickr . $social_media_digg . $social_media_tumblr . $social_media_stumbleupon . $social_media_delicious . $social_media_merchantcircle . "</center>";
	
	if ($wrap == true) {
		$qr_blob .= ebs_seo_cp_footer();
	} 
	return $social_media_blob;
}

function ebs_seo_cp_update_options() {
	update_option('ebs_seo_cp_payment_full_view', true);
	update_option('ebs_seo_cp_social_media_full_view', true);
	update_option('ebs_seo_cp_map_full_view', true);
	update_option('ebs_seo_cp_qr_full_view', true);
	update_option('ebs_seo_cp_map_tld', 'com'); 
	update_option('ebs_seo_cp_map_width', '100%');
	update_option('ebs_seo_cp_map_height', '350');
			
	$ebs_seo_cp_updated = date('Y-m-d'); update_option('ebs_seo_cp_updated', $ebs_seo_cp_updated);

	update_option('ebs_seo_cp_name', get_option('seo_company_name')); 
	update_option('ebs_seo_cp_address', get_option('seo_company_address')); 
	update_option('ebs_seo_cp_city', get_option('seo_company_city')); 
	update_option('ebs_seo_cp_state', get_option('seo_company_state')); 
	update_option('ebs_seo_cp_zip', get_option('seo_company_zip')); 

	
	
	update_option('ebs_seo_cp_email', get_option('seo_company_email')); 
	update_option('ebs_seo_cp_latitude', get_option('seo_company_latitude')); 
	update_option('ebs_seo_cp_longitude', get_option('seo_company_longitude')); 
	update_option('ebs_seo_cp_map_name', get_option('seo_company_map_name')); 
	
	update_option('ebs_seo_cp_payment', get_option('seo_company_payment'));
	update_option('ebs_seo_cp_qr', get_option('seo_company_qr'));
	
	update_option('ebs_seo_cp_facebook', get_option('seo_company_facebook'));
	update_option('ebs_seo_cp_twitter', get_option('seo_company_twitter'));
	update_option('ebs_seo_cp_youtube', get_option('seo_company_youtube'));
	update_option('ebs_seo_cp_linkedin', get_option('seo_company_linkedin'));		
	update_option('ebs_seo_cp_googleplaces', get_option('seo_company_googleplaces'));
	update_option('ebs_seo_cp_googleplus', get_option('seo_company_googleplus'));
	update_option('ebs_seo_cp_yelp', get_option('seo_company_yelp'));
	update_option('ebs_seo_cp_merchantcircle', get_option('seo_company_merchantcircle'));
	update_option('ebs_seo_cp_hotfrog', get_option('seo_company_hotfrog'));
	update_option('ebs_seo_cp_flickr', get_option('seo_company_flickr'));
	update_option('ebs_seo_cp_digg', get_option('seo_company_digg'));
	update_option('ebs_seo_cp_foursquare', get_option('seo_company_foursquare'));
	update_option('ebs_seo_cp_tumblr', get_option('seo_company_tumblr'));
	update_option('ebs_seo_cp_stumbleupon', get_option('seo_company_stumbleupon'));
	update_option('ebs_seo_cp_delicious', get_option('seo_company_delicious'));
	
	
	delete_option('seo_company_name'); 
	//to avoid any issues with migrations to 2.0.0, lets not delete those old settings just yet...
	/*delete_option('seo_company_address'); 
	delete_option('seo_company_city'); 
	delete_option('seo_company_state'); 
	delete_option('seo_company_zip'); 
	
	
	delete_option('seo_company_email'); 
	delete_option('seo_company_latitude'); 
	delete_option('seo_company_longitude'); 
	delete_option('seo_company_map_name'); 
	
	delete_option('seo_company_payment');
	delete_option('seo_company_qr');
	
	delete_option('seo_company_facebook');
	delete_option('seo_company_twitter');
	delete_option('seo_company_youtube');
	delete_option('seo_company_linkedin');		
	delete_option('seo_company_googleplaces');
	delete_option('seo_company_googleplus');
	delete_option('seo_company_yelp');
	delete_option('seo_company_merchantcircle');
	delete_option('seo_company_hotfrog');
	delete_option('seo_company_flickr');
	delete_option('seo_company_digg');
	delete_option('seo_company_foursquare');
	delete_option('seo_company_tumblr');
	delete_option('seo_company_stumbleupon');
	delete_option('seo_company_delicious');*/
}  
	




?>